export interface MetricWithDims<D> {
    readonly namespace: string;
    readonly metricName: string;
    readonly statistic: string;
    readonly dimensionsMap: D;
}
export declare class ElastiCacheMetrics {
    static activeDefragHitsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static activeDefragHitsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static activeDefragHitsSum(dimensions: {}): MetricWithDims<{}>;
    static authenticationFailuresSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static authenticationFailuresSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static authenticationFailuresSum(dimensions: {}): MetricWithDims<{}>;
    static bytesReadIntoMemcachedAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static bytesReadIntoMemcachedAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static bytesReadIntoMemcachedAverage(dimensions: {}): MetricWithDims<{}>;
    static bytesUsedForCacheAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static bytesUsedForCacheAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static bytesUsedForCacheAverage(dimensions: {}): MetricWithDims<{}>;
    static bytesUsedForCacheItemsAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static bytesUsedForCacheItemsAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static bytesUsedForCacheItemsAverage(dimensions: {}): MetricWithDims<{}>;
    static bytesUsedForHashAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static bytesUsedForHashAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static bytesUsedForHashAverage(dimensions: {}): MetricWithDims<{}>;
    static bytesWrittenOutFromMemcachedAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static bytesWrittenOutFromMemcachedAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static bytesWrittenOutFromMemcachedAverage(dimensions: {}): MetricWithDims<{}>;
    static cacheHitRateAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cacheHitRateAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cacheHitRateAverage(dimensions: {}): MetricWithDims<{}>;
    static cacheHitsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cacheHitsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cacheHitsSum(dimensions: {}): MetricWithDims<{}>;
    static cacheMissesSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cacheMissesSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cacheMissesSum(dimensions: {}): MetricWithDims<{}>;
    static casBadvalSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static casBadvalSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static casBadvalSum(dimensions: {}): MetricWithDims<{}>;
    static casHitsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static casHitsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static casHitsSum(dimensions: {}): MetricWithDims<{}>;
    static casMissesSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static casMissesSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static casMissesSum(dimensions: {}): MetricWithDims<{}>;
    static cmdConfigGetSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cmdConfigGetSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cmdConfigGetSum(dimensions: {}): MetricWithDims<{}>;
    static cmdConfigSetSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cmdConfigSetSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cmdConfigSetSum(dimensions: {}): MetricWithDims<{}>;
    static cmdFlushSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cmdFlushSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cmdFlushSum(dimensions: {}): MetricWithDims<{}>;
    static cmdGetsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cmdGetsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cmdGetsSum(dimensions: {}): MetricWithDims<{}>;
    static cmdSetSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cmdSetSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cmdSetSum(dimensions: {}): MetricWithDims<{}>;
    static cmdTouchSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cmdTouchSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cmdTouchSum(dimensions: {}): MetricWithDims<{}>;
    static commandAuthorizationFailuresSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static commandAuthorizationFailuresSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static commandAuthorizationFailuresSum(dimensions: {}): MetricWithDims<{}>;
    static cpuCreditBalanceAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cpuCreditBalanceAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cpuCreditBalanceAverage(dimensions: {}): MetricWithDims<{}>;
    static cpuCreditUsageAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cpuCreditUsageAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cpuCreditUsageAverage(dimensions: {}): MetricWithDims<{}>;
    static cpuUtilizationAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static cpuUtilizationAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static cpuUtilizationAverage(dimensions: {}): MetricWithDims<{}>;
    static currConfigSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static currConfigSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static currConfigSum(dimensions: {}): MetricWithDims<{}>;
    static currConnectionsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static currConnectionsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static currConnectionsSum(dimensions: {}): MetricWithDims<{}>;
    static currItemsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static currItemsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static currItemsSum(dimensions: {}): MetricWithDims<{}>;
    static databaseMemoryUsagePercentageAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static databaseMemoryUsagePercentageAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static databaseMemoryUsagePercentageAverage(dimensions: {}): MetricWithDims<{}>;
    static db0AverageTtlAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static db0AverageTtlAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static db0AverageTtlAverage(dimensions: {}): MetricWithDims<{}>;
    static decrHitsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static decrHitsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static decrHitsSum(dimensions: {}): MetricWithDims<{}>;
    static decrMissesSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static decrMissesSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static decrMissesSum(dimensions: {}): MetricWithDims<{}>;
    static deleteHitsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static deleteHitsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static deleteHitsSum(dimensions: {}): MetricWithDims<{}>;
    static deleteMissesSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static deleteMissesSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static deleteMissesSum(dimensions: {}): MetricWithDims<{}>;
    static engineCpuUtilizationAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static engineCpuUtilizationAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static engineCpuUtilizationAverage(dimensions: {}): MetricWithDims<{}>;
    static evalBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static evalBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static evalBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static evalBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static evalBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static evalBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static evictedUnfetchedSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static evictedUnfetchedSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static evictedUnfetchedSum(dimensions: {}): MetricWithDims<{}>;
    static evictionsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static evictionsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static evictionsSum(dimensions: {}): MetricWithDims<{}>;
    static expiredUnfetchedSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static expiredUnfetchedSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static expiredUnfetchedSum(dimensions: {}): MetricWithDims<{}>;
    static freeableMemoryAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static freeableMemoryAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static freeableMemoryAverage(dimensions: {}): MetricWithDims<{}>;
    static geoSpatialBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static geoSpatialBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static geoSpatialBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static geoSpatialBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static geoSpatialBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static geoSpatialBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static getHitsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static getHitsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static getHitsSum(dimensions: {}): MetricWithDims<{}>;
    static getMissesSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static getMissesSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static getMissesSum(dimensions: {}): MetricWithDims<{}>;
    static getTypeCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static getTypeCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static getTypeCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static getTypeCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static getTypeCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static getTypeCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static globalDatastoreReplicationLagAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static globalDatastoreReplicationLagAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static globalDatastoreReplicationLagAverage(dimensions: {}): MetricWithDims<{}>;
    static hashBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static hashBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static hashBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static hashBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static hashBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static hashBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static hyperLogLogBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static hyperLogLogBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static hyperLogLogBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static hyperLogLogBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static hyperLogLogBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static hyperLogLogBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static incrHitsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static incrHitsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static incrHitsSum(dimensions: {}): MetricWithDims<{}>;
    static incrMissesSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static incrMissesSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static incrMissesSum(dimensions: {}): MetricWithDims<{}>;
    static isMasterAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static isMasterAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static isMasterAverage(dimensions: {}): MetricWithDims<{}>;
    static keyAuthorizationFailuresSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static keyAuthorizationFailuresSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static keyAuthorizationFailuresSum(dimensions: {}): MetricWithDims<{}>;
    static keyBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static keyBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static keyBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static keyBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static keyBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static keyBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static keysTrackedSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static keysTrackedSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static keysTrackedSum(dimensions: {}): MetricWithDims<{}>;
    static listBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static listBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static listBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static listBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static listBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static listBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static masterLinkHealthStatusAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static masterLinkHealthStatusAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static masterLinkHealthStatusAverage(dimensions: {}): MetricWithDims<{}>;
    static memoryFragmentationRatioAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static memoryFragmentationRatioAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static memoryFragmentationRatioAverage(dimensions: {}): MetricWithDims<{}>;
    static networkBytesInAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static networkBytesInAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static networkBytesInAverage(dimensions: {}): MetricWithDims<{}>;
    static networkBytesOutAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static networkBytesOutAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static networkBytesOutAverage(dimensions: {}): MetricWithDims<{}>;
    static networkPacketsInAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static networkPacketsInAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static networkPacketsInAverage(dimensions: {}): MetricWithDims<{}>;
    static networkPacketsOutAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static networkPacketsOutAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static networkPacketsOutAverage(dimensions: {}): MetricWithDims<{}>;
    static newConnectionsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static newConnectionsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static newConnectionsSum(dimensions: {}): MetricWithDims<{}>;
    static newItemsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static newItemsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static newItemsSum(dimensions: {}): MetricWithDims<{}>;
    static pubSubBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static pubSubBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static pubSubBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static pubSubBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static pubSubBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static pubSubBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static reclaimedSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static reclaimedSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static reclaimedSum(dimensions: {}): MetricWithDims<{}>;
    static replicationBytesSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static replicationBytesSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static replicationBytesSum(dimensions: {}): MetricWithDims<{}>;
    static replicationLagAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static replicationLagAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static replicationLagAverage(dimensions: {}): MetricWithDims<{}>;
    static saveInProgressSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static saveInProgressSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static saveInProgressSum(dimensions: {}): MetricWithDims<{}>;
    static setBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static setBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static setBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static setBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static setBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static setBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static setTypeCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static setTypeCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static setTypeCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static setTypeCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static setTypeCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static setTypeCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static slabsMovedSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static slabsMovedSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static slabsMovedSum(dimensions: {}): MetricWithDims<{}>;
    static sortedSetBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static sortedSetBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static sortedSetBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static sortedSetBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static sortedSetBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static sortedSetBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static streamBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static streamBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static streamBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static streamBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static streamBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static streamBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static stringBasedCmdsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static stringBasedCmdsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static stringBasedCmdsSum(dimensions: {}): MetricWithDims<{}>;
    static stringBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static stringBasedCmdsLatencyAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static stringBasedCmdsLatencyAverage(dimensions: {}): MetricWithDims<{}>;
    static swapUsageAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static swapUsageAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static swapUsageAverage(dimensions: {}): MetricWithDims<{}>;
    static touchHitsSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static touchHitsSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static touchHitsSum(dimensions: {}): MetricWithDims<{}>;
    static touchMissesSum(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static touchMissesSum(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static touchMissesSum(dimensions: {}): MetricWithDims<{}>;
    static unusedMemoryAverage(dimensions: {
        CacheClusterId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
    }>;
    static unusedMemoryAverage(dimensions: {
        CacheClusterId: string;
        CacheNodeId: string;
    }): MetricWithDims<{
        CacheClusterId: string;
        CacheNodeId: string;
    }>;
    static unusedMemoryAverage(dimensions: {}): MetricWithDims<{}>;
}
